routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Auth::routes();
Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('home')->middleware('is_active');
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home')->middleware('is_active');
Route::resource('karyawan', '\App\Http\Controllers\KaryawanController')->middleware('is_admin');
Route::get('api/karyawan', [App\Http\Controllers\KaryawanController::class, 'api'])->name('api.karyawan')->middleware('is_admin');
Route::post('upload/karyawan', [App\Http\Controllers\KaryawanController::class, 'upload'])->name('karyawan.upload')->middleware('is_admin');
Route::resource('salary', '\App\Http\Controllers\SalaryController')->middleware('is_admin');
Route::get('api/salary', [App\Http\Controllers\SalaryController::class, 'api'])->name('api.salary')->middleware('is_admin');
Route::post('upload/salary', [App\Http\Controllers\SalaryController::class, 'upload'])->name('salary.upload')->middleware('is_admin');
Route::post('search/salary', [App\Http\Controllers\SalaryController::class, 'search'])->name('salary.search')->middleware('is_admin');
Route::get('api/pengguna', [App\Http\Controllers\PenggunaController::class, 'api'])->name('api.pengguna')->middleware('is_admin');
Route::resource('pengguna', '\App\Http\Controllers\PenggunaController')->middleware('is_admin');
Route::get('akun-saya', [App\Http\Controllers\SettingController::class, 'my_account'])->name('pengguna.akun')->middleware('is_active');
Route::patch('update-akun/{id}', [App\Http\Controllers\SettingController::class, 'update'])->name('update.akun')->middleware('is_active');
Route::post('proses-pendaftaran',  [App\Http\Controllers\PendaftaranController::class, 'pendaftaran'])->name('pendaftaran');
Route::get('pendaftaran/verifikasi/{id}', [App\Http\Controllers\PendaftaranController::class, 'verifikasi'])->name('pendaftaran.verifikasi');
Route::get('profile', [App\Http\Controllers\ProfileController::class, 'index'])->name('profile')->middleware('is_active');
Route::get('slip-gaji', [App\Http\Controllers\SlipGajiController::class, 'index'])->name('slip_gaji')->middleware('is_active');
Route::post('slip-gaji/cari', [App\Http\Controllers\SlipGajiController::class, 'search'])->name('search.slip_gaji')->middleware('is_active');
Route::post('/slip-gaji/cetak_pdf', [App\Http\Controllers\SlipGajiController::class, 'cetak_pdf'])->name('cetak.slip_gaji')->middleware('is_active');
Route::resource('user', '\App\Http\Controllers\UserController')->middleware('is_admin');
Route::get('api/user', [App\Http\Controllers\UserController::class, 'api'])->name('api.user')->middleware('is_admin');
//Route::get('lupa-password', [App\Http\Controllers\LupaPasswordController::class, 'index'])->name('forget');
Route::post('store-forget', [App\Http\Controllers\LupaPasswordController::class, 'store'])->name('store.forget');
Route::get('konfirmasi/reset/{id}', [App\Http\Controllers\LupaPasswordController::class, 'konfirmasi'])->name('konfirmasi.reset');
Route::patch('update-password/{id}', [App\Http\Controllers\LupaPasswordController::class, 'update_password'])->name('update.password');
Route::post('/salary/cetak_pdf', [App\Http\Controllers\SalaryController::class, 'hasil_pdf'])->name('salary.cetak_pdf')->middleware('is_admin');
Route::post('/salary/delete-all', [App\Http\Controllers\SalaryController::class, 'delete_all'])->name('salary.delete_all')->middleware('is_admin');
Route::post('/karyawan/delete-all', [App\Http\Controllers\KaryawanController::class, 'delete_all'])->name('karyawan.delete_all')->middleware('is_admin');
//Route::get('resend-email', [App\Http\Controllers\ResendEmailController::class, 'index'])->name('resend_email');
Route::post('store-resend', [App\Http\Controllers\ResendEmailController::class, 'store'])->name('store.resend_email');
Route::get('data-tertolak', [App\Http\Controllers\FailUploadKomponenController::class, 'index'])->name('data_tertolak')->middleware('is_admin');
Route::resource('info-pengumuman', '\App\Http\Controllers\InfoPengumumanController')->middleware('is_admin');
Route::get('api/pengumuman', [App\Http\Controllers\InfoPengumumanController::class, 'api'])->name('api.pengumuman')->middleware('is_admin');
Route::post('perubahan-data', [App\Http\Controllers\KaryawanController::class, 'perubahan'])->name('perubahan')->middleware('is_admin');
Route::post('hapus-karyawan', [App\Http\Controllers\KaryawanController::class, 'hapus_karyawan'])->name('hapus_karyawan')->middleware('is_admin');
Route::post('nonaktifkan-pengguna', [App\Http\Controllers\UserController::class, 'nonaktifkan_pengguna'])->name('nonaktifkan_pengguna')->middleware('is_admin');
Route::resource('pencapaian-kinerja', 'App\Http\Controllers\PenilaianKinerjaController')->middleware('is_admin');
Route::resource('evaluasi-ketangakerjaan', 'App\Http\Controllers\EvaluasiKetenagakerjaanController')->middleware('is_admin');
Route::resource('hasil-evaluasi', 'App\Http\Controllers\HasilEvaluasiController')->middleware('is_admin');
Route::get('detail-pencapaian-kinerja',  [App\Http\Controllers\PenilaianKinerjaController::class, 'detail_penilaian_kinerja'])->name('detail_penilaian')->middleware('is_active');
Route::get('detail-evaluasi-ketenagakerjaan',  [App\Http\Controllers\EvaluasiKetenagakerjaanController::class, 'detail_evaluasi'])->name('detail_evaluasi')->middleware('is_active');
Route::get('detail-hasil-evaluasi', [App\Http\Controllers\HasilEvaluasiController::class, 'detail_hasil_evaluasi'])->name('detail_hasil_evaluasi')->middleware('is_active');

app/Models/EvaluasiKetenagakerjaan.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class EvaluasiKetenagakerjaan extends Model
{
    use HasFactory;
    protected $fillable = [
        'data_karyawan_id','jml_kehadiran','kategori_kehadiran','nilai_kehadiran','jml_alfa','kategori_alfa','nilai_alfa','jml_sakit','kategori_sakit','nilai_sakit','jml_paidleave','kategori_paidleave','nilai_paidleave','jml_unpaidleave','kategori_unpaidleave','nilai_unpaidleave','jml_keterlambatan','nilai_keterlambatan','kategori_keterlambatan','jml_pulang_cepat','kategori_pulang_cepat','nilai_pulang_cepat','jml_cuti','kategori_cuti','nilai_cuti','jml_off','kategori_off','nilai_off','pelanggaran_dikembalikan_kehrd','pelanggaran_tidak_memiliki_npwp','jml_sp1','nilai_sp1','jml_sp2','nilai_sp2','jml_sp3','nilai_sp3','jml_surat_pernyataan','nilai_surat_pernyataan','jml_denda','nilai_denda','pelanggaran_lainnya','total_nilai','nilai_terkonversi','poin_nilai_kehadiran','poin_nilai_alfa','poin_nilai_sakit','poin_nilai_paidleave','poin_nilai_unpaidleave','poin_nilai_keterlambatan','poin_nilai_pulang_cepat','poin_nilai_cuti','poin_nilai_off'
    ];

    public function data_karyawan()
    {
        return $this->belongsTo(DataKaryawan::class);
    }
}

app/Http/Controllers/EvaluasiKetenagakerjaanController.php
<?php

namespace App\Http\Controllers;

use App\Models\NewKomponen;
use Illuminate\Http\Request;
use App\Models\EvaluasiKetenagakerjaan;
use App\Models\KomponenGaji;
use Excel;
use App\Imports\EvaluasiKetenagakerjaanImport;
use App\Jobs\ImportJob;
use DB;
use Auth;
use Alert;

class EvaluasiKetenagakerjaanController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = EvaluasiKetenagakerjaan::all();
        return view('evaluasi_ketenagakerjaan.index', compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        ini_set('max_execution_time', 0);
        //VALIDASI
        $this->validate($request, [
            'file' => 'required|mimes:xls,xlsx'
        ]);

        if ($request->hasFile('file')) {
            DB::table('fail_upload_komponens')->delete();
            $file = $request->file('file')->store('import'); //GET FILE
            $import = new EvaluasiKetenagakerjaanImport;
            $import->import($file);

            if($import->failures()->isNotEmpty()){
                return redirect()->back()->withFailures($import->failures());
            }
            return redirect()->back()->withStatus('File Excel Berhasil Di Upload');
        }
        return redirect()->back()->with(['error' => 'Please choose file before']);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $data = EvaluasiKetenagakerjaan::findOrFail($id);
        /*
        $getlatestperiod =
            DB::select(DB::raw(
                "SELECT distinct periode as periode FROM new_komponens WHERE new_komponens.periode =
                (SELECT MAX(periode) FROM new_komponens)
                and new_komponens.data_karyawan_id ='".$data->data_karyawan_id."'"));
        */
        $getlatestperiod =
            DB::select(DB::raw(
                "SELECT MAX(periode) as periode FROM new_komponens where
                new_komponens.data_karyawan_id ='".$data->data_karyawan_id."'"));
        $period = str_replace(" ", "", $getlatestperiod[0]->periode);
        $datasupport = NewKomponen::where('data_karyawan_id', $data->data_karyawan_id)
            ->where('periode', $period)
            ->first();
        $div = KomponenGaji::where('data_karyawan_id', $data->data_karyawan_id)
        ->where('periode', $period)
        ->first();
        return view('evaluasi_ketenagakerjaan.detail',
            compact('data', 'datasupport', 'div'));

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function detail_evaluasi()
    {
        $data = EvaluasiKetenagakerjaan::where('data_karyawan_id', Auth::user()->data_karyawan->id)->first();
        if($data === null){
            Alert::error('Gagal', 'Data Evaluasi Ketenagakerjaan Tidak Ditemukan, Silahkan Hub. HRD');
            return redirect()->route('home');
        } else {
            $getlatestperiod =
                DB::select(DB::raw(
                    "SELECT MAX(periode) as periode FROM new_komponens where
                    new_komponens.data_karyawan_id ='".$data->data_karyawan_id."'"));
            $period = str_replace(" ", "", $getlatestperiod[0]->periode);
            $datasupport = NewKomponen::where('data_karyawan_id', $data->data_karyawan_id)
                ->where('periode', $period)
                ->first();
            $div = KomponenGaji::where('data_karyawan_id', $data->data_karyawan_id)
                ->where('periode', $period)
                ->first();
            return view('evaluasi_ketenagakerjaan.detail', compact('data', 'datasupport', 'div'));
        }
    }
}

resources/views/evaluasi_ketenagakerjaan/index.blade.php
@extends('layouts.app')
@section('content')
<div class="content">

    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Pay Slip</a></li>
                            <li class="breadcrumb-item active">Evaluasi Ketenagakerjaan</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Evaluasi Ketenagakerjaan <span class="chinesse">就业评估</span></h4>
                </div>
            </div>
        </div>
        <!-- end page title -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        @if(session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                        @endif
                        @if(isset($errors) && $errors->any())
                            <div class="alert alert-danger">
                                @foreach ($errors->all() as $error)
                                    {{ $error }}
                                @endforeach
                            </div>
                        @endif
                        <form action="{{ route('evaluasi-ketangakerjaan.store') }}" method="post" enctype="multipart/form-data">
                            @csrf

                                 <div class="form-example-wrap mg-t-30">
                                     <div class="cmp-tb-hd cmp-int-hd">
                                         <h5>Upload Evaluasi Ketenagakerjaan</h5>
                                     </div>
                                     <div class="form-example-int form-horizental">
                                         <div class="form-group">
                                             <div class="row">
                                                 <div class="col-lg-2 col-md-3 col-sm-3 col-xs-12">
                                                     <label class="hrzn-fm">Pilih File (.xls .xlsx)</label>
                                                 </div>
                                                 <div class="col-lg-8 col-md-7 col-sm-7 col-xs-12">
                                                     <div class="nk-int-st">
                                                         <input type="file" name="file" class="form-control input-sm" required>
                                                     </div>
                                                 </div>
                                             </div>
                                         </div>
                                     </div>


                                     <div class="form-example-int mg-t-15">
                                         <div class="row">
                                             <div class="col-lg-2 col-md-3 col-sm-3 col-xs-12">
                                             </div>
                                             <div class="col-lg-8 col-md-7 col-sm-7 col-xs-12">
                                                 <button class="btn btn-success notika-btn-success">Upload</button>
                                             </div>
                                         </div>
                                     </div>
                                    </div>
                               </form>

                    </div> <!-- end card body-->
                </div> <!-- end card -->
            </div><!-- end col-->
        </div>
        <!-- end row-->

        <!-- end row-->
        @if(session()->has('failures'))
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4> Data <span class="table-project-n"> Error</span>
                        </h4>
                        <br/>
                        <table id="basic-datatable" class="table dt-responsive nowrap w-100">
                            <thead>
                                <tr>
                                    <th>Row</th>
                                    <th>Attribute</th>
                                    <th>Errors</th>

                                </tr>
                            </thead>
                            <tbody>
                                <?php $row = ""; ?>
                                @foreach (session()->get('failures') as $validation)
                                @if($row != $validation->row())
                                <tr>
                                    <td>{{ $validation->row() }}</td>
                                    <td>{{ $validation->attribute() }}</td>
                                    <td>
                                         @foreach ($validation->errors() as $e)
                                            <ul>
                                                <li>{{ $e }}</li>
                                            </ul>
                                         @endforeach
                                    </td>
                                </tr>
                                @endif
                                <?php $row = $validation->row(); ?>
                                @endforeach
                            </tbody>

                        </table>
                        </br>

                    </div> <!-- end card body-->
                </div> <!-- end card -->
            </div><!-- end col-->
        </div>
        @endif
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">

                        <table id="state-saving-datatable" class="table dt-responsive nowrap w-100">
                            <thead>
                                <tr style="text-align: left; vertical-align: center;">
                                    <th>
                                        NIK<br/><span class="chinesse">工号</span>
                                    </th>
                                    <th style="text-align: left; vertical-align: center;">
                                        Total Nilai<br/>
                                        <span class="chinesse">总价值</span>
                                    </th>
                                    <th style="text-align: left; vertical-align: center;">
                                        Nilai Terkonversi<br/>
                                        <span class="chinesse">转换值</span>
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($data as $d)
                                <tr>
                                    <td>
                                        <a href="{{ route('evaluasi-ketangakerjaan.show', $d->id) }}" target="_blank">
                                            {{ $d->data_karyawan->nik }}
                                        </a>
                                    </td>
                                    <td>
                                        @if($d->total_nilai < 0) 0
                                        @else {{ $d->total_nilai }}
                                        @endif
                                    </td>
                                    <td>
                                        @if($d->nilai_terkonversi > 0)
                                            {{ number_format(round($d->nilai_terkonversi,3),3) }}
                                        @else
                                            {{ $d->nilai_terkonversi }}
                                        @endif
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>

                    </div> <!-- end card body-->
                </div> <!-- end card -->
            </div><!-- end col-->
        </div>
        <!-- end row-->

    </div> <!-- container -->

</div>
<style>
    .chinesse {
        font-size: 13px;
        letter-spacing: 2px;
    }
</style>
@if(Auth::user()->level == "Administrator")
@include('salary.form')
@endif
@endsection